# TdApi.UpdateNewPreCheckoutQuery (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: UpdateNewPreCheckoutQuery

Package it.tdlight.jni

# Class TdApi.UpdateNewPreCheckoutQuery

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateNewPreCheckoutQuery

Enclosing class:
  TdApi

    public static class TdApi.UpdateNewPreCheckoutQuery
    extends TdApi.Update

A new incoming pre-checkout query; for bots only. Contains full information about a checkout.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `currency` | Currency for the product price.
`long` | `id` | Unique query identifier.
`byte[]` | `invoicePayload` | Invoice payload.
`TdApi.OrderInfo` | `orderInfo` | Information about the order; may be null.
`long` | `senderUserId` | Identifier of the user who sent the query.
`String` | `shippingOptionId` | Identifier of a shipping option chosen by the user; may be empty if not applicable.
`long` | `totalAmount` | Total price for the product, in the smallest units of the currency.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UpdateNewPreCheckoutQuery()` | A new incoming pre-checkout query; for bots only.
`UpdateNewPreCheckoutQuery​(long id, long senderUserId, String currency, long totalAmount, byte[] invoicePayload, String shippingOptionId, TdApi.OrderInfo orderInfo)` | A new incoming pre-checkout query; for bots only.
`UpdateNewPreCheckoutQuery​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Unique query identifier.

### senderUserId

public long senderUserId
Identifier of the user who sent the query.

### currency

public String currency
Currency for the product price.

### totalAmount

public long totalAmount
Total price for the product, in the smallest units of the currency.

### invoicePayload

public byte[] invoicePayload
Invoice payload.

### shippingOptionId

public String shippingOptionId
Identifier of a shipping option chosen by the user; may be empty if not applicable.

### orderInfo

public TdApi.OrderInfo orderInfo
Information about the order; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### UpdateNewPreCheckoutQuery

public UpdateNewPreCheckoutQuery()
A new incoming pre-checkout query; for bots only. Contains full information about a checkout.

### UpdateNewPreCheckoutQuery

public UpdateNewPreCheckoutQuery​(long id, long senderUserId, String currency, long totalAmount, byte[] invoicePayload, String shippingOptionId, TdApi.OrderInfo orderInfo)
A new incoming pre-checkout query; for bots only. Contains full information about a checkout.

Parameters:
  `id` - long Unique query identifier.
  `senderUserId` - long Identifier of the user who sent the query.
  `currency` - String Currency for the product price.
  `totalAmount` - long Total price for the product, in the smallest units of the currency.
  `invoicePayload` - byte[] Invoice payload.
  `shippingOptionId` - String Identifier of a shipping option chosen by the user; may be empty if not applicable.
  `orderInfo` - OrderInfo Information about the order; may be null.

### UpdateNewPreCheckoutQuery

public UpdateNewPreCheckoutQuery​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`